package com.ruoyi.ss.suit.mapper;

import com.ruoyi.ss.suit.domain.Suit;
import com.ruoyi.ss.suit.domain.SuitQuery;
import com.ruoyi.ss.suit.domain.SuitVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 套餐Mapper接口
 *
 * @author ruoyi
 * @date 2024-04-25
 */
public interface SuitMapper
{
    /**
     * 查询套餐
     *
     * @param suitId 套餐主键
     * @return 套餐
     */
    public SuitVO selectSuitBySuitId(Long suitId);

    /**
     * 查询套餐列表
     *
     * @param suit 套餐
     * @return 套餐集合
     */
    public List<SuitVO> selectSuitList(SuitQuery suit);

    /**
     * 新增套餐
     *
     * @param suit 套餐
     * @return 结果
     */
    public int insertSuit(Suit suit);

    /**
     * 修改套餐
     *
     * @param suit 套餐
     * @return 结果
     */
    public int updateSuit(Suit suit);

    /**
     * 删除套餐
     *
     * @param suitId 套餐主键
     * @return 结果
     */
    public int deleteSuitBySuitId(Long suitId);

    /**
     * 批量删除套餐
     *
     * @param suitIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSuitBySuitIds(Long[] suitIds);

    /**
     * 批量逻辑删除
     * @param suitIds ids
     */
    int logicDel(@Param("suitIds") List<Long> suitIds);

    /**
     * 查询数量
     * @param query
     * @return
     */
    int selectCount(SuitQuery query);

    /**
     * 查询一个
     */
    SuitVO selectOne(SuitQuery query);

    /**
     * 批量修改排序
     */
    int batchUpdateSort(@Param("list") List<? extends Suit> list);
}
